﻿<?xml version="1.0" encoding="UTF-8"?>

<!-- FMPXMLLAYOUT文法を使用するときにはXSLTネームスペースの宣言の記述を一部追加する必要があります -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                xmlns:fml="http://www.filemaker.com/fmpxmllayout"
                exclude-result-prefixes="xsl fmrs fml"
                version="1.0">

  <?xslt-cwp-query params="-grammar=fmresultset&-process"?>

  <!-- レイアウト情報の取得にWeb公開エンジンの認証済みベースURI引数を使用するため、ここで変数を宣言します -->
  <xsl:param name="authenticated-xml-base-uri" />

  <!-- document関数を使ってデータベースのレイアウト情報をおさめたXMLデータを取得し、変数layoutにセットします -->
  <xsl:variable name="layout" select="document(concat($authenticated-xml-base-uri, '/fmi/xml/FMPXMLLAYOUT.xml?-db=dbname&amp;-lay=layoutname&amp;-view'))" />

  <xsl:template match="/">
    <html>
      <head>
        <title>sample005</title>
      </head>
      <body>
        <!-- 値一覧「valuelist1」のすべての値を表示します -->
        <p>
          <xsl:for-each select="$layout/fml:FMPXMLLAYOUT/fml:VALUELISTS/fml:VALUELIST[@NAME='valuelist1']/fml:VALUE">
            <xsl:value-of select="." /><br />
          </xsl:for-each>
        </p>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>