﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                exclude-result-prefixes="xsl fmrs"
                version="1.0">

  <!-- 実際には1行で記述します -->
  <?xslt-cwp-query params="-grammar=fmresultset&-db=dbname&-lay=layoutname&-max=10&-find"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <xsl:template match="/">
    <html>
      <head>
        <title>sample029</title>

        <!-- CSS（Cascading Style Sheets）で背景色を指定します -->
        <style type="text/css">
          <xsl:text disable-output-escaping="yes">&#10;</xsl:text>
          <xsl:text>tr.odd { background-color: red; }</xsl:text>
          <xsl:text disable-output-escaping="yes">&#10;</xsl:text>
          <xsl:text>tr.even { background-color: yellow; }</xsl:text>
          <xsl:text disable-output-escaping="yes">&#10;</xsl:text>
          <xsl:text>#last { background-color: blue; }</xsl:text>
          <xsl:text disable-output-escaping="yes">&#10;</xsl:text>
        </style>
      </head>
      <body>
        <table>
          <xsl:apply-templates />
        </table>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="/fmrs:fmresultset/fmrs:resultset/fmrs:record">
    <tr>
      <xsl:choose>
        <xsl:when test="position() = last()">
          <!-- 最後の行の背景色は青色 -->
          <xsl:attribute name="id">last</xsl:attribute>
        </xsl:when>
        <xsl:when test="position() mod 2 = 1">
          <!-- 奇数行目のテーブルの行の背景色は赤色 -->
          <xsl:attribute name="class">odd</xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <!-- 偶数行目のテーブルの行の背景色は黄色 -->
          <xsl:attribute name="class">even</xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <td>
        <xsl:value-of select="fmrs:field[@name='field1']/fmrs:data" />
      </td>
    </tr>
  </xsl:template>

</xsl:stylesheet>