<?xml version="1.0" encoding="UTF-8"?>

<!-- FMPXMLLAYOUT文法およびFileMaker XSLT拡張関数を利用するときにはXSLTネームスペースの宣言の記述を一部追加します -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                xmlns:fml="http://www.filemaker.com/fmpxmllayout"
                xmlns:fmxslt="xalan://com.fmi.xslt.ExtensionFunctions"
                exclude-result-prefixes="xsl fmrs fml fmxslt"
                version="1.0">

  <!-- 実際には1行で記述します -->
  <?xslt-cwp-query params="-grammar=fmresultset&-db=dbname&-lay=layoutname&-max=1&-find"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <!-- レイアウト情報の取得にWeb公開エンジンの認証済みベースURI引数を使用するため、ここで変数を宣言します -->
  <xsl:param name="authenticated-xml-base-uri" />

  <!-- document関数を使ってデータベースのレイアウト情報をおさめたXMLデータを取得し、変数layoutにセットします -->
  <!-- 実際には1行で記述します -->
  <xsl:variable name="layout" select="document(concat($authenticated-xml-base-uri, '/fmi/xml/FMPXMLLAYOUT.xml?-db=dbname&amp;-lay=layoutname&amp;-view'))" />

  <xsl:template match="/fmrs:fmresultset/fmrs:resultset/fmrs:record">
    <html>
      <head>
        <title>sample031</title>
      </head>
      <body>
        <form>
          <!-- 「product」フィールドの値を変数valueに格納します -->
          <xsl:variable name="value" select="fmrs:field[@name='product']/fmrs:data" />

          <!-- 値一覧「productlist」のすべての値を表示します -->
          <xsl:for-each select="$layout/fml:FMPXMLLAYOUT/fml:VALUELISTS/fml:VALUELIST[@NAME='productlist']/fml:VALUE">

            <!-- フォーム部品のid属性の値と、labelタグのfor属性の値に使用する変数を用意しています -->
            <xsl:variable name="valueid" select="concat('value', position())" />

            <!-- チェックボックスを表示します -->
            <input>
              <xsl:attribute name="id"><xsl:value-of select="$valueid" /></xsl:attribute>
              <xsl:attribute name="type">checkbox</xsl:attribute>
              <xsl:attribute name="name">product</xsl:attribute>
              <xsl:attribute name="value"><xsl:value-of select="." /></xsl:attribute>
              <xsl:attribute name="tabindex"><xsl:value-of select="position()" /></xsl:attribute>

              <!-- 値一覧の特定の値がフィールドに保存されている場合にはチェックボックスにチェックをつけます -->
              <xsl:if test="fmxslt:contains_checkbox_value($value, .)">
                <xsl:attribute name="checked">checked</xsl:attribute>
              </xsl:if>

            </input>

            <!-- 値一覧の値を表示します -->
            <label for="{$valueid}">
              <xsl:value-of select="." />
            </label>
            <br />
          </xsl:for-each>
        </form>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>