﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                xmlns:fmq="http://www.filemaker.com/xml/query"
                xmlns:fmxslt="xalan://com.fmi.xslt.ExtensionFunctions"
                exclude-result-prefixes="xsl fmrs fmq fmxslt"
                version="1.0">

  <?xslt-cwp-query params="-grammar=fmresultset&-process"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <xsl:param name="request-query" />

  <!-- -token.quantityの値を変数quantityに格納します -->
  <xsl:variable name="quantity" select="$request-query/fmq:query/fmq:parameter[@name='-token.quantity']" />

  <xsl:template match="/">
    <html>
      <head>
        <title>sample032</title>
      </head>
      <body>
        <xsl:choose>
          <xsl:when test="string-length($quantity) &gt; 0">
            <!-- 変数quantityの値の長さが0より大きい場合 -->
            <xsl:text>数量：</xsl:text>
            <!-- URLエンコードされた文字列を表示する場合にはfmxslt:url_decode関数を使います -->
            <xsl:value-of select="fmxslt:url_decode($quantity)" />
          </xsl:when>
          <xsl:otherwise>
            <!-- 変数quantityの値がない場合 -->
            <xsl:text>エラー：数量が指定されていません</xsl:text>
          </xsl:otherwise>
        </xsl:choose>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>