﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                xmlns:fmxslt="xalan://com.fmi.xslt.ExtensionFunctions"
                exclude-result-prefixes="xsl fmrs fmxslt"
                version="1.0">

  <!-- 実際には1行で記述します -->
  <?xslt-cwp-query params="-grammar=fmresultset&-db=dbname&-lay=layoutname&-lay.response=layoutname&-max=1&-find"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <xsl:template match="/">
    <html>
      <head>
        <title>sample034</title>
      </head>
      <body>
         <!-- 引数を指定しないでFileMaker XSLT拡張関数を使用してエラーを発生させています -->
         <xsl:variable name="causes_error" select="fmxslt:send_email('', '')" />

         <!-- FileMaker XSLT拡張関数のエラーステータスのコード番号を取得し、変数error_statusに格納します -->
         <xsl:variable name="error_status" select="fmxslt:check_error_status()" />

         <xsl:choose>
           <xsl:when test="$error_status = 0">
             <!-- FileMaker XSLT拡張関数が正常に実行された場合の処理を記述します -->
             <xsl:text>FileMaker XSLT拡張関数が正常に処理されました</xsl:text>
           </xsl:when>
           <xsl:otherwise>
             <!-- FileMaker XSLT拡張関数の処理中にエラーが発生した場合の処理を記述します -->
             <xsl:text>FileMaker XSLT拡張関数のエラーステータスのコード番号: </xsl:text>
             <xsl:value-of select="$error_status" />
           </xsl:otherwise>
         </xsl:choose>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>