﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                xmlns:fmxslt="xalan://com.fmi.xslt.ExtensionFunctions"
                exclude-result-prefixes="xsl fmrs fmxslt"
                version="1.0">

  <?xslt-cwp-buffer buffer-content="yes"/?>
  <?xslt-cwp-query params="-grammar=fmresultset&-process"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <xsl:template match="/">
    <html>
      <head>
        <title>sample036e</title>
      </head>
      <body>
        <xsl:variable name="sessionname" select="'foo'" />

        <xsl:choose>
          <!-- セッションが存在するか確認します -->
          <xsl:when test="fmxslt:session_exists($sessionname)">
            <!-- セッションのmy_stringオブジェクトに値「bar」を設定します -->
            <xsl:variable name="storing_a_string" select="fmxslt:set_session_object($sessionname, 'my_string', 'bar')" />

            <!-- セッションからmy_stringオブジェクトを削除します -->
            <xsl:variable name="removed_object" select="fmxslt:remove_session_object($sessionname, 'my_string')" />

            <!-- セッションのmy_stringオブジェクトの値を表示します -->
            <xsl:text>my_stringオブジェクトの値：</xsl:text>
            <xsl:value-of select="fmxslt:get_session_object($sessionname, 'my_string')" />
          </xsl:when>

          <xsl:otherwise>
            <!-- セッションを作成します -->
            <xsl:variable name="instantiating_session" select="fmxslt:create_session($sessionname)" />
            <xsl:if test="$instantiating_session = true()">セッションを作成しました</xsl:if>
          </xsl:otherwise>
        </xsl:choose>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>