﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                xmlns:fmxslt="xalan://com.fmi.xslt.ExtensionFunctions"
                exclude-result-prefixes="xsl fmrs fmxslt"
                version="1.0">

  <?xslt-cwp-buffer buffer-content="yes"/?>
  <?xslt-cwp-query params="-grammar=fmresultset&-process"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <xsl:template match="/">
    <html>
      <head>
        <title>sample036g</title>
      </head>
      <body>
        <xsl:variable name="sessionname" select="'foo'" />
        <xsl:choose>
          <!-- セッションが存在するか確認します -->
          <xsl:when test="fmxslt:session_exists($sessionname)">
            <xsl:text>すでにセッションが存在しています</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <!-- セッションを作成します -->
            <xsl:variable name="instantiating_session" select="fmxslt:create_session($sessionname)" />
            <xsl:if test="$instantiating_session = true()">セッションを作成しました</xsl:if>

            <!-- セッションのタイムアウトを設定します -->
            <xsl:variable name="setting_timeout" select="fmxslt:set_session_timeout($sessionname, 1800)" />
            <xsl:if test="$setting_timeout = true()"><br />セッションのタイムアウトを設定しました</xsl:if>
          </xsl:otherwise>
        </xsl:choose>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>