﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                xmlns:fmxslt="xalan://com.fmi.xslt.ExtensionFunctions"
                xmlns:fmc="http://www.filemaker.com/xml/cookie"
                exclude-result-prefixes="xsl fmrs fmxslt fmc"
                version="1.0">

  <?xslt-cwp-query params="-grammar=fmresultset&-process"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <xsl:template match="/">
    <html>
      <head>
        <title>sample036h</title>
      </head>
      <body>
        <xsl:variable name="sessionname" select="'foo'" />
        <!-- セッションが存在するか確認します -->
        <xsl:if test="fmxslt:session_exists($sessionname) = false()">
          <!-- セッションを作成します -->
          <xsl:variable name="instantiating_session" select="fmxslt:create_session($sessionname)" />
        </xsl:if>

        <!-- セッションIDの値を表示します -->
        <xsl:text>セッションID：</xsl:text>
        <xsl:choose>
          <xsl:when test="string-length(fmxslt:get_cookie('JSESSIONID')) &gt; 0">
            <!-- Cookieに保存されているセッションIDの値を表示します -->
            <xsl:value-of select="fmxslt:get_cookie('JSESSIONID')" />
          </xsl:when>
          <xsl:otherwise>
            <!-- Cookieが無効の場合 -->
            <xsl:value-of select="substring-after(fmxslt:session_encode_url(''), 'jsessionid=')" />
          </xsl:otherwise>
        </xsl:choose>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>