<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                xmlns:fmxslt="xalan://com.fmi.xslt.ExtensionFunctions"
                exclude-result-prefixes="xsl fmrs fmxslt">

  <?xslt-cwp-buffer buffer-content="true"?>
  <?xslt-cwp-query params="-grammar=fmresultset&-process"?>

  <xsl:template match="/">
    <!-- ファイル名を変数file_nameに設定します -->
    <xsl:variable name="file_name" select="'csvdata.txt'" />

    <!-- HTTPレスポンスヘッダーの値を設定します -->
    <xsl:variable name="contenttype" select="concat('application/octet-stream; name=&quot;', $file_name, '&quot;')" />
    <xsl:variable name="contentdisposition" select="concat('attachment; filename=&quot;', $file_name, '&quot;')" />

    <!-- fmxslt:set_header関数を使ってHTTPレスポンスヘッダーを出力します -->
    <xsl:value-of select="fmxslt:set_header('Content-Type', $contenttype)" />
    <xsl:value-of select="fmxslt:set_header('Content-Disposition', $contentdisposition)" />

    <!-- ファイルの中身を出力します -->
    <xsl:text>SampleData,A,B</xsl:text>
  </xsl:template>
  
</xsl:stylesheet>
