﻿<?xml version="1.0" encoding="UTF-8"?>

<!-- RSS 1.0で利用されるネームスペースの宣言を追加します -->
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
                xmlns:dc="http://purl.org/dc/elements/1.1/"
                xmlns:rss="http://purl.org/rss/1.0/"
                exclude-result-prefixes="xsl fmrs rdf dc rss">

  <!-- RSS 1.0形式のフィードを取得・表示するサンプル -->

  <?xslt-cwp-query params="-grammar=fmresultset&-process"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <xsl:template match="/">
    <html>
      <head>
        <title>sample040</title>
      </head>
      <body>
        <!-- document関数を使用して任意のURLからフィードを取得します -->
        <xsl:variable name="feeddata" select="document('http://www.filemaker.ne.jp/feed/')" />

        <!-- フィードのタイトルを表示します -->
        <h1><xsl:value-of select="$feeddata/rdf:RDF/rss:channel/rss:title" /></h1>

        <xsl:for-each select="$feeddata/rdf:RDF/rss:item">
          <!-- フィードに含まれるすべての記事のリンクとタイトルを表示します -->
          <xsl:choose>
            <xsl:when test="starts-with(rss:link, 'http://') or starts-with(rss:link, 'https://')">
              <!-- リンク設定用の属性値としてURLを出力する場合には「http://」もしくは「https://」で始まっているか確認する必要があります -->
              <a>
                <xsl:attribute name="href">
                  <!-- 記事のリンクをaタグのhref属性に設定します -->
                  <xsl:value-of select="rss:link" />
                </xsl:attribute>

                <!-- 記事のタイトルを表示します -->
                <xsl:value-of select="rss:title" />
              </a>
            </xsl:when>
            <xsl:otherwise>
              <!-- URLが「http://」もしくは「https://」で始まっていない場合には記事のタイトルのみ表示します -->
              <xsl:value-of select="rss:title" />
            </xsl:otherwise>
          </xsl:choose>

          <!-- 記事の更新日時を表示します -->
          <xsl:text>（</xsl:text>
          <xsl:value-of select="dc:date" />
          <xsl:text>）</xsl:text>
          <br />
        </xsl:for-each>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>