﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                xmlns:atom="http://www.w3.org/2005/Atom"
                exclude-result-prefixes="xsl fmrs atom">

  <!-- Atom 1.0形式のフィードを取得・表示するサンプル -->

  <?xslt-cwp-query params="-grammar=fmresultset&-process"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <xsl:template match="/">
    <html>
      <head>
        <title>sample042</title>
      </head>
      <body>
        <!-- document関数を使用して任意のURLからフィードを取得します -->
        <xsl:variable name="feeddata" select="document('http://www.bnn.co.jp/atom.xml')" />

        <!-- フィードのタイトルを表示します -->
        <h1><xsl:value-of select="$feeddata/atom:feed/atom:title" /></h1>

        <xsl:for-each select="$feeddata/atom:feed/atom:entry">
          <!-- フィードに含まれるすべての記事のリンクとタイトルを表示します -->
          <xsl:choose>
            <xsl:when test="starts-with(atom:link/@href, 'http://') or starts-with(atom:link/@href, 'https://')">
              <!-- リンク設定用の属性値としてURLを出力する場合には「http://」もしくは「https://」で始まっているか確認する必要があります -->
              <a>
                <xsl:attribute name="href">
                  <!-- 記事のリンクをaタグのhref属性に設定します -->
                  <xsl:value-of select="atom:link/@href" />
                </xsl:attribute>

                <!-- 記事のタイトルを表示します -->
                <xsl:value-of select="atom:title" />
              </a>
            </xsl:when>
            <xsl:otherwise>
              <!-- URLが「http://」もしくは「https://」で始まっていない場合には記事のタイトルのみ表示します -->
              <xsl:value-of select="atom:title" />
            </xsl:otherwise>
          </xsl:choose>

          <!-- 記事の更新日時を表示します -->
          <xsl:text>（</xsl:text>
          <xsl:value-of select="atom:updated" />
          <xsl:text>）</xsl:text>
          <br />
        </xsl:for-each>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>