﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                xmlns:fmxslt="xalan://com.fmi.xslt.ExtensionFunctions"
                xmlns:locale="xalan://java.util.Locale"
                exclude-result-prefixes="xsl fmrs fmxslt locale">

  <!-- 実際には1行で記述します -->
  <?xslt-cwp-query params="-grammar=fmresultset&-db=dbname&-lay=layoutname&-lay.response=layoutname&-find&-max=1"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <xsl:template match="/fmrs:fmresultset/fmrs:resultset/fmrs:record">
    <html>
      <head>
        <title>sample048</title>
      </head>
      <body>
        <!-- 日付フィールドのデータを変数dateに格納します -->
        <xsl:variable name="date" select="fmrs:field[@name='date']/fmrs:data" />

        <!-- 通常日付フィールドは「09/12/2007」という形式で出力されます -->
        <xsl:value-of select="$date" /><br />

        <!-- ロケールをen_USに変更します -->
        <xsl:variable name="result" select="locale:setDefault(locale:new('en', 'US'))" />
        <!-- 「Sep 12, 2007」という形式で出力します -->
        <xsl:value-of select="fmxslt:convert_datetime('MM/dd/yyyy', 'MMM d, yyyy', $date)" /><br />
        <!-- 「September 12, 2007」という形式で出力します -->
        <xsl:value-of select="fmxslt:convert_datetime('MM/dd/yyyy', 'MMMMM d, yyyy', $date)" /><br />

        <!-- ロケールをja_JPに変更します -->
        <xsl:variable name="result" select="locale:setDefault(locale:new('ja', 'JP'))" />
        <!-- 「9月 12, 2007」という形式で出力します -->
        <xsl:value-of select="fmxslt:convert_datetime('MM/dd/yyyy', 'MMMMM d, yyyy', $date)" />
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
