﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xalan="http://xml.apache.org/xslt"
                xmlns:fmp-ex="ext1"
                exclude-result-prefixes="xsl xalan fmp-ex"
                version="1.0">

  <?xslt-cwp-query params="-grammar=fmresultset&-process"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <!-- このサンプルを実行するにはWeb公開エンジンにJRubyをあらかじめ組み込んでおく必要があります -->
  <xalan:component prefix="fmp-ex" functions="color sum">
    <xalan:script lang="ruby">
      def color(value)
        if value > 0
          return "green"
        else
          return "red"
        end
      end

      def sum()
        sum = 0
        (1..10).each{|i|
          sum += i
        }
        return sum
      end
    </xalan:script>
  </xalan:component> 

  <xsl:template match="/">
    <html>
      <head>
        <title>sample051b</title>
        <style type="text/css">
          <xsl:text disable-output-escaping="yes">&#10;</xsl:text>
          <xsl:text>p.green { color: green; }</xsl:text>
          <xsl:text disable-output-escaping="yes">&#10;</xsl:text>
          <xsl:text>p.red { color: red; }</xsl:text>
          <xsl:text disable-output-escaping="yes">&#10;</xsl:text>
        </style>
      </head>
      <body>
        <p class="{fmp-ex:color(50)}">The value is 50</p>
        <p class="{fmp-ex:color(-5)}">The value is -5</p>
        <p class="{fmp-ex:color(fmp-ex:sum())}">
          <xsl:value-of select="concat('The value is ', fmp-ex:sum())" />
        </p>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>
